Bug 642765 - AttributeError: 'NoneType' object has no attribute 'addChild'
AttributeError: 'NoneType' object has no attribute 'addChild'
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
anaconda_trace_hash:8e72e0d10f2c57a1b...
:
Depends On:
Blocks: F14Blocker/F14FinalBlocker
  Show dependency treegraph
 
Reported: 2010-10-13 15:02 EDT by Clyde E. Kunkel
Modified: 2010-10-19 21:34 EDT (History)
4 users (show)

See Also:
Fixed In Version: anaconda-14.21-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-19 18:24:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (354.79 KB, text/plain)
2010-10-13 15:02 EDT, Clyde E. Kunkel
no flags Details
Attached traceback automatically from anaconda. (342.43 KB, text/plain)
2010-10-13 16:17 EDT, Clyde E. Kunkel
no flags Details
Attached traceback automatically from anaconda. (460.51 KB, text/plain)
2010-10-19 17:52 EDT, Clyde E. Kunkel
no flags Details

  None (edit)
Description Clyde E. Kunkel 2010-10-13 15:02:02 EDT
The following was filed automatically by anaconda:
anaconda 14.19 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devices.py", line 229, in __init__
    parent.addChild()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devices.py", line 464, in __init__
    Device.__init__(self, device, parents=parents)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devices.py", line 2497, in __init__
    parents=parents, sysfsPath=sysfsPath)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devicetree.py", line 1208, in addUdevDiskDevice
    sysfsPath=sysfs_path, **kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devicetree.py", line 1279, in addUdevDevice
    device = self.addUdevDiskDevice(info)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devicetree.py", line 1955, in populate
    self.addUdevDevice(dev)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 400, in reset
    self.devicetree.populate()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/iw/autopart_type.py", line 154, in getNext
    self.anaconda.storage.reset()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/gui.py", line 1186, in nextClicked
    rc = self.currentWindow.getNext ()
AttributeError: 'NoneType' object has no attribute 'addChild'
Comment 1 Clyde E. Kunkel 2010-10-13 15:02:09 EDT
Created attachment 453266 [details]
Attached traceback automatically from anaconda.
Comment 2 Clyde E. Kunkel 2010-10-13 16:17:28 EDT
Created attachment 453305 [details]
Attached traceback automatically from anaconda.
Comment 3 Clyde E. Kunkel 2010-10-13 16:24:42 EDT
Traceback 1 from USB key drive and traceback 2 from DVD install disc.  Both created from TC1.1 ISO.

Machine has BIOS fakeraid level 10.

Fedora 14 Beta gold installed OK.

This appears to be a regression from anaconda 14.17.1.
Comment 4 David Lehman 2010-10-13 16:49:41 EDT
I think the fix for bug 635778 revealed an unhandled case that your hardware
and good luck triggered.

Try adding updates=http://dlehman.fedorapeople.org/updates-642765.img to your
boot command line and report back with results. Thanks.
Comment 5 Clyde E. Kunkel 2010-10-13 18:13:39 EDT
That fixed it.  Thanks!

Install flying along now.  Used the USB pen drive as repo and put / on an lv over fakeraid 10.  Mdadm treating the fakeraid as md0 container containing md127.  Nice.
Comment 6 Fedora Update System 2010-10-14 19:56:53 EDT
anaconda-14.20-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/anaconda-14.20-1.fc14
Comment 7 Fedora Update System 2010-10-15 00:08:37 EDT
anaconda-14.20-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update anaconda'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/anaconda-14.20-1.fc14
Comment 8 Fedora Update System 2010-10-18 23:22:35 EDT
anaconda-14.21-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/anaconda-14.21-1.fc14
Comment 9 Clyde E. Kunkel 2010-10-19 17:52:16 EDT
Created attachment 454455 [details]
Attached traceback automatically from anaconda.
Comment 10 Fedora Update System 2010-10-19 18:23:28 EDT
anaconda-14.21-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Clyde E. Kunkel 2010-10-19 21:30:23 EDT
#9 is a false alarm.  Used wrong RC.
Comment 12 Clyde E. Kunkel 2010-10-19 21:34:37 EDT
However, when useing correct RC and official image, the problem reported here does not occur.  However, a different problem occurs which may or may not be related.  Opening a separate bz for that.

Note You need to log in before you can comment on or make changes to this bug.